<?xml version="1.0" encoding="UTF-8"?>

<beans xmlns="http://www.springframework.org/schema/beans" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:context="http://www.springframework.org/schema/context"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
		http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context.xsd">
 
          <bean id="person" class="com.javahonk.di.bean.Person" scope="">
			   <constructor-arg type="java.lang.String" value="Mary" />
			   <constructor-arg type="java.lang.String" value="Kay" />
			   <property name="address" ref="address"></property>  
		  </bean>
		  
		  <bean id="address" class="com.javahonk.di.bean.Address" scope="prototype"> 	  
			  <constructor-arg type="java.lang.String" value="John Rd." />
			  <constructor-arg type="java.lang.String" value="Edison" />
			  <constructor-arg type="java.lang.String" value="NJ" />
			  <constructor-arg type="java.lang.String" value="10038" />		  
		  </bean>
		  

</beans>
